Impossibile caricare il modulo "canberra-gtk-module"

33

Oggi ho installato:

  1. Ubuntu 12.04
  2. Oracle JDK 7 e 8
  3. IntelliJ 11.1.4

Ho impostato il mio percorso JAVA_HOME in modo che punti a JDK 7.

Quando eseguo IntelliJ ricevo questo messaggio:

Gtk-Message: Failed to load module "canberra-gtk-module"

È un problema o posso dare un'occhiata?

    
posta Harrison Brock 30.10.2012 - 01:44
fonte

3 risposte

54

Ho risolto questo problema installando il modulo:

sudo apt-get install libcanberra-gtk-module

O se è già installato e ottieni ancora l'errore:

sudo apt-get install libcanberra-gtk-module:i386
    
risposta data Harrison Brock 30.10.2012 - 02:08
fonte
3

Questa domanda ha 4 anni e 8 mesi. È ora luglio 2017.

Su un Raspberry Pi 3B con Raspbian Jessie e Ubuntu 16.04 LTS ho ricevuto questo errore.

  

Impossibile caricare il modulo "canberra-gtk-module"

È abbastanza generico.

La buona notizia è che la correzione è semplice. Basta inserire:

sudo apt-get install libcanberra-gtk-module

installato alcune cose ...

Quindi non si è più mostrato.

    
risposta data SDsolar 20.07.2017 - 10:30
fonte
1

successo con un'applicazione qt5 usando il tema gtk su Ubuntu MATE

$ ./my-application
Gtk-Message: Failed to load module "canberra-gtk-module"
Gtk-Message: Failed to load module "topmenu-gtk-module"

individuiamo le librerie

$ locate libcanberra-gtk-module.so
/usr/lib/x86_64-linux-gnu/gtk-2.0/modules/libcanberra-gtk-module.so
/usr/lib/x86_64-linux-gnu/gtk-3.0/modules/libcanberra-gtk-module.so

l'impostazione di LD_LIBRARY_PATH risolve il problema

$ LD_LIBRARY_PATH=/usr/lib/x86_64-linux-gnu/gtk-3.0/modules:$LD_LIBRARY_PATH ./my-application

o disinserisci la variabile d'ambiente GTK_MODULES

$ unset GTK_MODULES; ./my-application
    
risposta data neok 08.08.2017 - 14:40
fonte

Leggi altre domande sui tag